Package Scientific :: Package IO :: Module PDB :: Class AminoAcidResidue

[frames] | no frames]

# Class AminoAcidResidue

    Group --+
            |
      Residue --+
                |
               AminoAcidResidue

Amino acid residue in a PDB file

Instance Methods

addAtom(self, atom) Add an atom to the group |

`bool`

isCTerminus(self) Returns: `True` if the residue is in C-terminal configuration, i.e. |

`bool`

isNTerminus(self) Returns: `True` if the residue is in N-terminal configuration, i.e. |

writeToFile(self, file) Write the group to a file |

Inherited from `Group`: `__getitem__`, `__init__`, `__len__`, `__repr__`, `__str__`, `changeName`, `deleteAtom`, `deleteHydrogens`, `isCompatible`

Class Variables
| is_amino_acid = `1`

Method Details

### addAtom(self, atom)

Add an atom to the group

Parameters:
  - `atom` - the atom
Overrides: Group.addAtom
  (inherited documentation)

### isCTerminus(self)

Returns: `bool`
  `True` if the residue is in C-terminal configuration, i.e. if it has a second oxygen bound to the carbon atom of the peptide group. `False` otherwise.

### isNTerminus(self)

Returns: `bool`
  `True` if the residue is in N-terminal configuration, i.e. if it contains more than one hydrogen bound to be nitrogen atom of the peptide group. `False` otherwise.

### writeToFile(self, file)

Write the group to a file

Parameters:
  - `file` - a PDBFile object or a file name
Overrides: Group.writeToFile
  (inherited documentation)